!    -*- F90 -*-
!
! AUTHOR  : Zhenfei Yuan, Taizhong Hu
! EMAIL   : zf.yuan.y@gmail.com; thu@ustc.edu.cn
! URL     : TAIZHONGLAB.USTC.EDU.CN/SOFTWARE/bvcopula.html
! DATE    : DEC 3, 2012
! LICENCE : GPL (>= 2)
!
!
! THIS FILE CONSISTS OF ROUTINE FOR RANDOM SEED INITIALIZATION.
!
! LIST OF ROUTINE:
!
!   INIT_RANDOM_SEED



SUBROUTINE INIT_RANDOM_SEED()
  ! INITIAL RANDOM SEED FOR THE GFORTRAN INTRINSIC SUBROUTINE
  ! RANDOM_SEED.
  INTEGER::I,N,CLOCK
  INTEGER,DIMENSION(:),ALLOCATABLE::SEED

  CALL RANDOM_SEED(SIZE=N)
  ALLOCATE(SEED(N))

  CALL SYSTEM_CLOCK(COUNT=CLOCK)
  SEED=CLOCK+37*(/(I-1,I=1,N)/)
  CALL RANDOM_SEED(PUT=SEED)
  DEALLOCATE(SEED)

END SUBROUTINE INIT_RANDOM_SEED
